/// <reference types="node" />
import { Schema } from '@liskhq/lisk-codec';
import { LegacyBlock, LegacyBlockJSON, LegacyChainBracketInfo, LegacyBlockWithID } from './types';
interface LegacyBlockSchema {
    header: Schema;
    block: Schema;
}
export declare const blockSchemaMap: Record<number, LegacyBlockSchema>;
export declare const decodeBlock: (data: Buffer) => {
    block: LegacyBlockWithID;
    schema: LegacyBlockSchema;
};
export declare const decodeBlockJSON: (data: Buffer) => {
    block: LegacyBlockJSON;
    schema: LegacyBlockSchema;
};
export declare const encodeBlock: (data: LegacyBlock) => Buffer;
export declare const encodeLegacyChainBracketInfo: (data: LegacyChainBracketInfo) => Buffer;
export {};
