/// <reference types="node" />
import { Database } from '@liskhq/lisk-db';
import { LegacyChainBracketInfo } from './types';
export declare class Storage {
    private readonly _db;
    constructor(db: Database);
    getBlockByID(id: Buffer): Promise<Buffer>;
    getBlockByHeight(height: number): Promise<Buffer>;
    getBlocksByHeightBetween(fromHeight: number, toHeight: number): Promise<Buffer[]>;
    isBlockPersisted(blockID: Buffer): Promise<boolean>;
    isBlockHeightPersisted(height: number): Promise<boolean>;
    saveBlock(id: Buffer, height: number, block: Buffer): Promise<void>;
    getLegacyChainBracketInfo(snapshotBlockID: Buffer): Promise<Buffer>;
    setLegacyChainBracketInfo(snapshotBlockID: Buffer, bracketInfo: LegacyChainBracketInfo): Promise<void>;
    private _getBlockIDsBetweenHeights;
}
